<!-- Form Heading -->
<div class="hd-modal-header">
  Edit Basic Information
</div>

<form [formGroup]="_form" (ngSubmit)="_onSubmit()" class="container-fluid">
  <!-- First name field -->
  <div class="row">
    <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState['first_name'])">
      <label for="first_name">First name</label>
      <input type="text" id="first_name" class="form-control" formControlName="first_name" />
      <form-field-errors id="first_nameErrors" [field]="_formState['first_name']"></form-field-errors>
    </div>
  </div>

  <!-- Last name field -->
  <div class="row">
    <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState['last_name'])">
      <label for="last_name">Last name</label>
      <input type="text" id="last_name" class="form-control" formControlName="last_name" />
      <form-field-errors id="last_nameErrors" [field]="_formState['last_name']"></form-field-errors>
    </div>
  </div>

  <!-- Title field -->
  <div class="row">
    <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState['title'])">
      <label for="title">Title</label>
      <input type="text" id="title" class="form-control" formControlName="title" />
      <form-field-errors id="titleErrors" [field]="_formState['title']"></form-field-errors>
    </div>
  </div>

  <!-- City field -->
  <div class="row">
    <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState['city'])">
      <label for="city">City</label>
      <input type="text" id="city" class="form-control" formControlName="city" />
      <form-field-errors id="cityErrors" [field]="_formState['city']"></form-field-errors>
    </div>
  </div>

  <!-- State field -->
  <div class="row">
    <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState['state'])">
      <label for="state">State</label>
      <input type="text" id="state" class="form-control" formControlName="state" />
      <form-field-errors id="stateErrors" [field]="_formState['state']"></form-field-errors>
    </div>
  </div>

  <!-- Unexpected error message -->
  <div class="row" *ngIf="_unexpectedError" id="unexpectedError">
    <div class="col-xs-12 text-center" style="padding-top: 20px">
      An unexpected error occurred while trying to save your changes!
    </div>
  </div>

  <!-- Save / Cancel buttons -->
  <div class="row">
    <div class="col-xs-12" style="text-align: right">
      <button type="submit" class="btn btn-primary" [disabled]="!_form.valid" id="saveButton">Save</button>
      <a class="btn btn-default" (click)="_onCancel()" id="cancelButton">Cancel</a>
    </div>
  </div>
</form>
